Groovy 1.7.0

## org.codehaus.groovy.runtime.metaclass
Class MemoryAwareConcurrentReadMap.Entry

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MemoryAwareConcurrentReadMap.Entry

    class MemoryAwareConcurrentReadMap.Entry

ConcurrentReaderHashMap collision list entry.

Constructor Summary
`MemoryAwareConcurrentReadMap.Entry(int hash, Object key, Object value, Entry next, ReferenceQueue queue)`
`MemoryAwareConcurrentReadMap.Entry(int hash, SoftRef key, Reference value, Entry next)`

Method Summary
`Object` | `getKey()`
`Object` | `getValue()`
`Object` | `setValue(Reference value)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### MemoryAwareConcurrentReadMap.Entry

    public MemoryAwareConcurrentReadMap.Entry(int hash, Object key, Object value, Entry next, ReferenceQueue queue)

### MemoryAwareConcurrentReadMap.Entry

    public MemoryAwareConcurrentReadMap.Entry(int hash, SoftRef key, Reference value, Entry next)

Method Detail

### getKey

    public Object getKey()

### getValue

    public Object getValue()

### setValue

    public Object setValue(Reference value)

Copyright © 2003-2009 The Codehaus. All rights reserved.